From f958f7d0714eb6b9abb30a5b3d184e9a070945e4 Mon Sep 17 00:00:00 2001
From: Eli Zaretskii <eliz@gnu.org>
Date: Fri, 15 Jan 2016 11:47:55 +0200
Subject: [PATCH 4/7] Merge doc fixes for 'random' lost in previous merge

[This reapplies part of commit
3ffe81e245d854a694ae1734f1b6a995bdc5e724,
which was inadvertently lost by merge commit
7823745acbe9b87eea2db4ef434e379fc903ec35.]
(Bug#22202)
---
 doc/lispref/numbers.texi | 4 +++-
 etc/NEWS                 | 8 ++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/doc/lispref/numbers.texi b/doc/lispref/numbers.texi
index 20d3c42..28eb6b1 100644
--- a/doc/lispref/numbers.texi
+++ b/doc/lispref/numbers.texi
@@ -1252,7 +1252,9 @@ Random Numbers
 (@pxref{Integer Basics}).
 
 If @var{limit} is @code{t}, it means to choose a new seed as if Emacs
-were restarting.
+were restarting, typically from the system entropy.  On systems
+lacking entropy pools, choose the seed from less-random volatile data
+such as the current time.
 
 If @var{limit} is a string, it means to choose a new seed based on the
 string's contents.
diff --git a/etc/NEWS b/etc/NEWS
index 6d2dc2f..57bd110 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -424,6 +424,14 @@ for use in Emacs bug reports.
 hiding character but the default `.' can be used by let-binding the
 variable `read-hide-char'.
 
++++
+** The Emacs pseudo-random number generator can be securely seeded.
+On system where Emacs can access the system entropy or some other
+cryptographically secure random stream, it now uses that when `random'
+is called with its argument `t'.  This allows cryptographically strong
+random values; in particular, the Emacs server now uses this facility
+to produce its authentication key.
+
 ---
 ** New input methods: `tamil-dvorak' and `programmer-dvorak'.
 
-- 
2.5.5

